import { ApolloClient } from '@apollo/client/index.js';
export declare function createFileService(apolloClient: ApolloClient<any>): {
    resolveFile: (resource: string) => {
        size: import("@files-stack/core").Maybe<import("@files-stack/core").Scalars["Int"]>;
        name: import("@files-stack/core").Scalars["String"];
        __typename?: "FileStatWithMetadata";
        resource: {
            readonly scheme: string;
            readonly authority: string;
            readonly path: string;
            readonly query: string;
            readonly fragment: string;
            readonly fsPath: string;
            with: (change: {
                scheme?: string;
                authority?: string | null;
                path?: string | null;
                query?: string | null;
                fragment?: string | null;
            }) => import("@adminide-stack/core").URI;
            toString: (skipEncoding?: boolean) => string;
            toJSON: () => import("@adminide-stack/core").UriComponents;
        };
        etag: import("@files-stack/core").Maybe<import("@files-stack/core").Scalars["String"]>;
        mtime: import("@files-stack/core").Maybe<import("@files-stack/core").Scalars["BigInt"]>;
        isReadonly?: import("@files-stack/core").Maybe<import("@files-stack/core").Scalars["Boolean"]>;
        versionId?: import("@files-stack/core").Maybe<import("@files-stack/core").Scalars["Int"]>;
        dirty?: import("@files-stack/core").Maybe<import("@files-stack/core").Scalars["Boolean"]>;
        inConflictMode?: import("@files-stack/core").Maybe<import("@files-stack/core").Scalars["Boolean"]>;
        inOrphanMode?: import("@files-stack/core").Maybe<import("@files-stack/core").Scalars["Boolean"]>;
        inErrorMode?: import("@files-stack/core").Maybe<import("@files-stack/core").Scalars["Boolean"]>;
        inPendingSave?: import("@files-stack/core").Maybe<import("@files-stack/core").Scalars["Boolean"]>;
        preferredMode?: import("@files-stack/core").Maybe<import("@files-stack/core").Scalars["String"]>;
        preferredEncoding?: import("@files-stack/core").Maybe<import("@files-stack/core").Scalars["String"]>;
        contentEncoding: import("@files-stack/core").IFileStatWithMetadata["encoding"];
    };
};
//# sourceMappingURL=file-service.d.ts.map